use lib ".";
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

use Config;

WriteMakefile(
    'NAME'	=> 'DCL',
    'VERSION_FROM' => 'DCL.pm', # finds $VERSION
    'LIBS'	=> ['-L/usr/lib -L/usr/X11R6/lib -L/usr/local/lib -ldcl -lX11 -lf2c -lm'],   # e.g., '-lm' 
    'DEFINE'	=> '',     # e.g., '-DHAVE_SOMETHING' 
    'INC'	=> '',     # e.g., '-I/usr/include/other' 
    'dist'      => { COMPRESS=>"gzip", SUFFIX=>"gz" }
);
