#!/usr/local/bin/perl
#
#      program hop
{
    use DCL;

    $NMAX = 400;

    #/*-- ꥵ塼ο ----*/
    $dt = 2.*3.14159 / ($NMAX-1);

    for ($n = 0; $n < $NMAX; ++$n) {
        $t = $dt * $n;
        $x[$n] = 1.0e+2 * sin(4.0*$t);
	$y[$n] = 1.0e-3 * cos(5.0*$t) + 6.0;
    }

    #/*--  ----*/
    print STDERR " WORKSTATION ID (I)  ? ;\n";

    sgpwsn();
    chomp($iws = <STDIN>);

    gropn($iws);
    grfrm();

    ussttl("X-TITLE", "x-unit", "Y-TITLE", "y-unit");
#    usgrph($NMAX, \@x, \@y);
    usgrph($NMAX, *x, *y);

    grcls();

}
