#!/usr/local/bin/perl -w
#      PROGRAM USPAC4
{
    use DCL;

    $NMAX=50;
    $YMIN=0.0;
    $YMAX=50.;

#    float X1[NMAX+1], X2[NMAX+1];
#    float Y, RUNDEF, exp_y_20_2;
#    long  ISEED, IWS;

    $ISEED = 1;
    for ($N = 0; $N < $NMAX+1; $N++) {
        $Y = $YMIN + ($YMAX-$YMIN)*$N/$NMAX;
	$X1[$N] = 10.0 * exp(-$Y/20)**2 * exp((rngu3($ISEED)-0.5)*2)**2;
        $X2[$N] = 10.0 * exp(-$Y/20)**2;
	$ISEED = 0 if $ISEED != 0;
    }

    print STDERR " WORKSTATION ID (I)  ? ;\n";
    sgpwsn();
    chomp($IWS = <STDIN>);

    gropn($IWS);
    grfrm();

    $RUNDEF[0] = glrget("RUNDEF");
    grswnd($RUNDEF[0], $RUNDEF[0], $YMIN, $YMAX);
    usspnt($NMAX+1, \@X1, \@RUNDEF);
    usspnt($NMAX+1, \@X2, \@RUNDEF);
    grstrn(3);
    uspfit();
    grstrf();

    ussttl("MIXING RATIO", "ppmv", "HEIGHT", "km");
    usdaxs();

    uusmkt(2);
    uumrk($NMAX+1, \@X1, \@RUNDEF);
    uulin($NMAX+1, \@X2, \@RUNDEF);

    grcls();

}
