package DCL;
#
# $Id: DCL.pm.templ,v 1.3 1997/10/03 13:38:39 taichu Exp $
#
use strict;
use vars qw($VERSION @ISA @EXPORT $AUTOLOAD);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
csgi isgc isgtrc scplu scplv scqpli scspli scplzu scplzv scpmu scpmv scqpmi 
scqpms scqpmt scspmi scspms scspmt scpmzu scpmzv scqeye scseye scqlog 
scslog scqobj scsobj scqorg scsorg scqpln scspln scsprj scstrf scqtrn 
scstrn scqvpt scsvpt scqwnd scswnd scqtnp scstnp sctnu sctnv sctnzu sctnzv 
sglar sglau sglav sgqlai sgqlat sgslai sgslat sglazr sglazu sglazv sglnr 
sglnu sglnv sgqlni sgslni sglnzr sglnzu sglnzv sgcls sgfrm sginit sgopn 
sgiget sgiset sgistx sglget sglset sglstx sgpget sgpset sgpstx sgrget 
sgrset sgrstx sgplr sgplu sgplv sgqpli sgqplt sgspli sgsplt sgplzr sgplzu 
sgplzv sgpmr sgpmu sgpmv sgqpmi sgqpms sgqpmt sgspmi sgspms sgspmt sgpmzr 
sgpmzu sgpmzv sgpqcp sgpqid sgpqnp sgpqvl sgpsvl sgpwsn sgqmpl sgsmpl 
sgnplc sgqplc sgqpls sgsplc sgspls sgqsim sgssim sgstrf sgqtrn sgstrn 
sgqtxy sgstxy sgqvpt sgsvpt sgqwnd sgswnd sgqtnp sgstnp sgtnr sgtnu sgtnv 
sgtnzr sgtnzu sgtnzv sgtrln sgtrls sgtrnl sgtrns sgtrqf sgtrsl sgtrsn 
sgqtxc sgqtxi sgqtxr sgqtxs sgstxc sgstxi sgstxr sgstxs sgtxr sgtxu sgtxv 
sgtxzr sgtxzu sgtxzv slinit slsize slform sldiv slmgn slrat slpvpc slpvpr 
slpwvc slpwvr slpwwc slpwwr sldttl slsttl stepr2 stfpr2 stfpr3 stipr2 
strpr2 stspr2 stspr3 stfrad stirad stsrad stfrot stirot stsrot stftr3 
stslg3 stsrd3 ststr3 stftrf stitrf stqtrf ststrf stftrn stitrn ststrn 
stfwtr stiwtr stqwrc stqwtr stswrc stswtr swcget swcset swcstx swdcls 
swdopn swfint swgcls swgmov swgopn swgplt swgton swicls swidat swiint 
swiopn swocls swoopn swpcls swpopn swqclc swqimc swqpnt swqptc swqrct 
swqtnc swqwdc swscli swsrot swswdi swiget swiset swistx swlget swlset 
swlstx swpget swpset swpstx swrget swrset swrstx swqfnm szcltn szfont 
szl3cl szl3op szl3zu szl3zv szlacl szlaop szlazr szlazu szlazv szlncl 
szlnop szlnzr szlnzu szlnzv szm3cl szm3op szm3zu szm3zv szcll3 szmvl3 
szopl3 szpll3 szcllc szcrst szmvlc szoplc szpllc szclld szmvld szopld 
szplld szqtyz szstyz szcllp szmvlp szoplp szpllp szcllr szmvlr szoplr 
szpllr szcllt szmvlt szoplt szpllt szcllu szmvlu szoplu szpllu szcllv 
szmvlv szoplv szpllv szcllz szmvlz szoplz szpllz szclsv szmvsv szopsv 
szplsv szcltp szoptp szqtmd szstmd szsttp szcltr szoptr szsttr szclts 
szopts szstts sztits szcltt szoptt szsttt szcltu szoptu szsttu szcltv 
szoptv szsttv szcltz szoptz szsttz sztitz szplcl szplop szplzr szplzu 
szplzv szpmcl szpmop szpmzr szpmzu szpmzv szsidx szslti szqtni szstni 
szt3cl szqtyp szstyp szt3op szt3zu szt3zv sztncl sztnop sztnzr sztnzu 
sztnzv sztxcl sztxop sztxwv sztxzr sztxzu sztxzv szxmod csblbl grinit grcls grfig grfrm gropn grsmpl grssim grstrf grstrn grstxy 
grsvpt grswnd iueton iuwgx iuwgy rudlev ruwgx ruwgy uciget uciset ucistx 
uclget uclset uclstx ucpget ucpset ucpstx ucrget ucrset ucrstx ucpqcp 
ucpqid ucpqnp ucpqvl ucpsvl ucxacl ucxady ucxamn ucxayr ucyacl ucyady 
ucyamn ucyayr udcntr udcntz udgcla udgclb udgrdn udiclr uddclv udiclv 
udqcln udqclv udsclv udqfmt udsfmt udiget udiset udistx udlget udlset 
udlstx udpget udpset udpstx udrget udrset udrstx udpqcp udpqid udpqnp 
udpqvl udpsvl uegtla uegtlb ueitlv ueqntl ueqtlv uestlv ueiget ueiset 
ueistx uelget uelset uelstx uepget uepset uepstx uerget uerset uerstx 
uepqcp uepqid uepqnp uepqvl uepsvl uestln uetonc uetone uetonf uezchk 
ugiget ugiset ugistx uglget uglset uglstx ugpget ugpset ugpstx ugrget 
ugrset ugrstx ugpqcp ugpqid ugpqnp ugpqvl ugpsvl ugsut ugvect uhbra uhbraz 
uhbrf uhbrfz uhbrl uhbrlz uhbxa uhbxaz uhbxf uhbxfz uhbxl uhbxlz uhdif 
uhdifz uherb uherbz uliget uliset ulistx ullget ullset ullstx ulpget ulpset 
ulpstx ulrget ulrset ulrstx ulpqcp ulpqid ulpqnp ulpqvl ulpsvl ulqxbl 
ulsxbl ulxlbl ulxlog ulxqfm ulxsfm ulqybl ulsybl ulylbl ulylog ulyqfm 
ulysfm umbndc umbndp uminit umpfit umiget umiset umistx umlget umlset 
umlstx umpget umpset umpstx umrget umrset umrstx umpglb umpgrd umplim 
umpmap umpqcp umpqid umpqnp umpqvl umpsvl umqfnm umqtxy umqcnt umscnt 
umscom umqcwd umscwd umsgrd umspct umspcw umspdf umqpnt umqptn umrpnt 
umspnt umsppt umspwd umstvz uscget uscset uscstx uschvl uscqcp uscqid 
uscqnp uscqvl uscsvl usdaxs usgrph usinit uspfit usiget usiset usistx 
uslget uslset uslstx uspget uspset uspstx usrget usrset usrstx uspqcp 
uspqid uspqnp uspqvl uspsvl usspnt ussttl usurdl usurdt ususcl ususcu 
uswapz usxaxl usxaxs usxaxu usxoff usxsub usyaxl usyaxs usyaxu usyoff 
usysub uszdgt uuinit uulin uulinz uumrk uumrkz uuiget uuiset uuistx uulget 
uulset uulstx uupget uupset uupstx uurget uurset uurstx uupqcp uupqid 
uupqnp uupqvl uupsvl uuqarp uusarp uuqbrs uusbrs uuqebi uuqebs uuqebt 
uusebi uusebs uusebt uuqfri uuqfrt uusfri uusfrt uuqidv uusidv uuqlni 
uuqlnt uuslni uuslnt uuqmki uuqmks uuqmkt uusmki uusmks uusmkt uvbra uvbraz 
uvbrf uvbrfz uvbrl uvbrlz uvbxa uvbxaz uvbxf uvbxfz uvbxl uvbxlz uvdif 
uvdifz uverb uverbz uwdflt uwigxi uwqgxi uwigyi uwqgyi uwqgxa uwqgxb uwqgxz 
uwsgxa uwsgxb uwsgxz uwqgya uwqgyb uwqgyz uwsgya uwsgyb uwsgyz uxaxdv 
uxaxlb uxaxnm uxmttl uxpaxs uxplbl uxpnum uxqfmt uxsfmt uxptmk uxpttl 
uxsaxs uxsaxz uxsttl uyaxdv uyaxlb uyaxnm uymttl uypaxs uyplbl uypnum 
uyqfmt uysfmt uyptmk uypttl uysaxs uysaxz uysttl uzfact uzinit uziget 
uziset uzistx uzlget uzlset uzlstx uzpget uzpset uzpstx uzrget uzrset 
uzrstx uzpqcp uzpqid uzpqnp uzpqvl uzprst uzpsav uzpsvl glcget glcset glcstx gliget gliset glistx gllget gllset gllstx glpget 
glpset glpstx glrget glrset glrstx glqfnm msgdmp rtcenv rtcget rtcopt 
rtcxfl rtpenv rtpget rtpopt rtpxfl cfsrch lchreq iufopn igus imod rmod 
rexp rfpi rd2r rr2d vignn vrgnn dxfloc dxiloc cladj cradj crvrs lenb leny 
lenc lenz ifromc lfromc rfromc lreq lrne lrlt lrle lrgt lrge lreqa lrnea 
lrlta lrlea lrgta lrgea iblklt iblkle iblkgt iblkge gnlt gngt gnle gnge 
gnsblk gnqblk gnsave gnrset rgnlt rgnle rgngt rgnge irlt irle irgt irge 
indxcf indxcl indxnf indxnl indxmf indxml indxif indxil indxrf indxrl 
nindxc nindxn nindxm nindxi nindxr imax imin isum rmax rmin rsum rave 
rvar rstd rrms ramp rvmax rvmin rprd rcov rcor vifna viinc vifct vicon 
viset iadd imlt iset vifnb viadd visub vimlt vidiv vrfna vrinc vrfct vrcon 
vrset radd rset vrfnb vradd vrsub vrmlt vrdiv ct2pc ct2cp ct2ec ct2bc 
ct2hc ct2ch ct3sc ct3cs cr2c cr3c cr3s mpfcyl mpicyl mpfmer mpimer mpfmwd 
mpimwd mpfmwl mpimwl mpfhmr mpihmr mpfek6 mpiek6 mpfktd mpiktd mpfcon 
mpicon mpscon mpfcoa mpicoa mpscoa mpfcoc mpicoc mpscoc mpfbon mpibon 
mpsbon mpfotg mpiotg mpsotg mpfpst mpipst mpfazm mpiazm mpfaza mpiaza 
rffti rfftf rfftb ezffti ezfftf ezfftb sinti sint costi cost sinqi sinqf 
sinqb cosqi cosqf cosqb cffti cfftf cfftb odrkg odrk4 odrk2 odrk1 odrkgr 
odrkgs odrk4r odrk4s odrkdu odrkdv odiget odiset odistx odlget odlset 
odlstx odpget odpset odpstx odrget odrset odrstx shtint shtnml shtlap 
shts2w shtw2g shts2g shtg2w shtw2s shtg2s shtswa shtwga shtsga shtswm 
shtwgm shtsgm shtswz shtwgz shtsgz shtswj shtwgj shtsgj shtfun shtlfw 
shtlbw shtlib vs1int vs1din vs1out vs2int vs2din vs2out vrintr vrrnm vrrnm0 
vrrnm1 bitpic bitpci gbyte gbytes sbyte sbytes iand ior ishift cupper clower 
lchrb lchrc lchrs lchrl lchrd lchra lchrf lchr chngc chngi chngr chval 
date12 date13 date21 date23 date31 date32 datef1 datef2 datef3 dateg1 
dateg2 dateg3 dateq1 dateq2 dateq3 datec1 datec2 datec3 ndate1 ndate2 
ndate3 iweek1 iweek2 iweek3 ndmon ndyear cmon cweek time12 time13 time21 
time23 time31 time32 timeq1 timeq2 timeq3 timec1 timec2 timec3 dclvnm 
cdblk cns clckst clckgt clckdt fcopen fcclos fcslfc fcleol fcnrec fcgetr 
fcputr fcgets fcputs fcrwnd fcpack rngu1 rngu2 rngu3 hexdic hexdci r4ibm 
r4ieee 
);
$VERSION = '0.03';

bootstrap DCL $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__

=head1 NAME

DCL - Perl extension for GFD-DENNOU Library

=head1 SYNOPSIS

    use DCL;
    # etc...

    print STDERR " WORKSTATION ID (I)  ? ;\n";
    sgpwsn();
    chomp($iws = <STDIN>);

    gropn($iws);
    grfrm();
    ussttl("X-TITLE", "x-unit", "Y-TITLE", "y-unit");
    usgrph($NMAX, \@x, \@y);
    # etc...

    grcls();

=head1 DESCRIPTION

GFD-DENNOU Library B<(DCL)>, originally developed as a FORTRAN library 
for graphics, mathematics and other utilities, is now available 
as perl module extension.

[More descriptions should come]

=head2 Changes from FORTRAN

All Arguments of a FORTRAN subroutine 

DCL subroutines that reference to internal variables are like this;
        C<SGIGET('IFONT', IPARA)>

In perl version, reference routines take only one argument, and
returns the internal variable.
    C<$ipara = sgiget('IFONT');>

[More descriptions should come]

=head2 Limitation

Limitation of Perl extension is listed below;

=over 4

=item *
Pointer to integer have to be an array.

=item *
MATH1 OSLIB is not included; use perl native system functions instead.

=item *
Procedures in argument is not supported; therefore, 
MATH2 ODELIB is not available.

=item *
Complex type is not yet supported; MATH2 vcintr() is not included.

=back

[More descriptions should come]


=head1 AUTHOR

GFD-DENNOU Club.

Perl extension is coded by Taichu Tanaka <taichu@ihas.nagoya-u.ac.jp>.

=head1 SEE ALSO

perl(1).

GFD-DENNOU Library Manuals;
I<Gokuraku DCL, Rakuraku DCL, GRPH1, GRPH2, MATH1, MATH2, MISC1.>

GFD-DENNOU Club WWW site: 
    http://dennou.gaia.h.kyoto-u.ac.jp/

=cut
