#!/usr/local/bin/perl -w
#
#      PROGRAM COLOR3
{
    use DCL;

    $NX=21; $NY=21; $KMAX=56;
    $XMIN=-10; $XMAX=10; $YMIN=-10; $YMAX=10;
    $PMIN=0; $PMAX=1;

    for ($J = 0; $J < $NY; $J++) {
	$Y = $YMIN + ($YMAX-$YMIN)*$J/($NY-1);
	for ($I = 0; $I < $NX; $I++) {
	    $X = $XMIN + ($XMAX-$XMIN)*$I/($NX-1);
	    $P[$J*$NX+$I] = exp(-$X*$X/64 -$Y*$Y/25);
        }
    }

    print STDERR " WORKSTATION ID (I)  ? ;\n";
    sgpwsn();
    chomp($IWS = <STDIN>);

    gropn($IWS);
    grfrm();

    grswnd($XMIN, $XMAX, $YMIN, $YMAX);
    grsvpt(0.2,  0.8,  0.2,  0.8);
    grstrn(1);
    grstrf();

    $DP = ($PMAX-$PMIN)/$KMAX;
    for ($K = 0; $K < $KMAX; $K++) {
        $TLEV1 = $K*$DP;
        $TLEV2 = $TLEV1 + $DP;
        $IPAT  = (29+$K)*1000 + 999;
        uestlv($TLEV1, $TLEV2, $IPAT);
    }

    uetone(\@P, $NX, $NX, $NY);
    usdaxs();

    #/*-- ȡС ----*/
    grswnd(0.0, 1.0, $PMIN, $PMAX);
    grsvpt(0.85, 0.9,  0.2,  0.8);
    grstrn(1);
    grstrf();

    for ($K = 0; $K < $KMAX+1; $K++) {
        $PI[$K*2] = $PMIN + $K*$DP;
	$PI[$K*2+1] = $PMIN + $K*$DP;
    }

    uetone(\@PI, 2, 2, $KMAX+1);

    slpvpr(3);
    uzlset("LABELYR", 1);
    uzfact(0.8);
    uysfmt("(F4.1)");
    uyaxdv("R", 0.1, 0.2);

    grcls();
}
