#!/usr/local/bin/perl -w
#/*      PROGRAM QUICK3      */
{
    use DCL;

    $NX = 37;
    $NY = 37;
    $XMIN = 0.0;
    $XMAX = 360.0;
    $YMIN = -90.0;
    $YMAX = 90.0;
    $PI = 3.14159;
    $DRAD = $PI/180;

    #/*-- Ĵ´ؿ ----*/
    for ($J = 0; $J < $NY; $J++) {
        for ($I = 0; $I < $NX; $I++) {
	    $ALON = ($XMIN + ($XMAX-$XMIN)*($I)/($NX-1)) * $DRAD;
	    $ALAT = ($YMIN + ($YMAX-$YMIN)*($J)/($NY-1)) * $DRAD;
	    $SLAT = sin($ALAT);
	    $P[$J*$NX+$I] = 3*sqrt(1-$SLAT*$SLAT)*$SLAT*cos($ALON)
		- 0.5*(3*$SLAT*$SLAT-1);
	}
    }

    #/*--  ----*/
    print STDERR " WORKSTATION ID (I)  ? ;\n";
    sgpwsn();
    chomp($IWS = <STDIN>);

    gropn($IWS);
    grfrm();

    grswnd($XMIN, $XMAX, $YMIN, $YMAX);
    grsvpt(0.2,  0.8,  0.2,  0.8);
    grstrn(1);
    grstrf();

    usdaxs();
    udcntr(*P, $NX, $NX, $NY);

    grcls();

}
