#!/usr/local/bin/perl -w

use Config;

# Run and check all the tests

use DCL;


$| = 1; # Unbuffer STDOUT

@examples = qw(hop kihonb uspac4 quick3 u2d5 map3d2 color3);

foreach $j (@examples) {
   print "============== Running $j.pl ==============\n";
   %@ = ();       # Clear error status
   do "examples/$j.pl";
   warn $@ if $@; # Report any error detected
   sleep 2;
}

